MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005259ATutorTests/Surveyspublic2013-04-16 10:002013-12-28 12:52
Reportercindy 
Assigned Tocindy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.1.1 
Summary0005259: "View results" for question types of matching and multiple answers have wrong red cross icon marked
DescriptionIn the "view results" page for a test that contains matching question or multiple answers question, the red cross icons that mark the wrong answers are not showed up properly for the incorrect selections.

Refer to the attached screenshot.
TagsNo tags attached.
Affects versionSVN
SVN Revision#d8918d47a2374c019574625bae884cfd7066ffd2
Attached Filesjpeg file icon View test results.jpeg [^] (81,599 bytes) 2013-04-16 10:00

- Relationships
related to 0005265closedcindy Matching Graphical Answers incorrect 

-  Notes
(0006331)
sdaityari (reporter)
2013-04-17 06:09

Can I get it assigned to myself?
(0006332)
cindy (administrator)
2013-04-17 09:18

Sure, go ahead and give a try, sdaityari.
(0006337)
sdaityari (reporter)
2013-04-22 14:44

Hey, I am really sorry. My exams are about to start, and I have also been preparing the proposal. I would get back to you as soon as my exams are over. You could assign it to someone else if they want to do it.
(0006381)
cindy (administrator)
2013-05-01 12:02

Solution: The student answers on those question types are not saved correctly. Rather than saving multiple answers, only one answer is saved in digit.

Affected script: mods/_standard/tests/take_test.php

Patch 05 is issued for 2.1.1.
(0006654)
greg (administrator)
2013-12-28 12:52

closed for ATutor 2.2

- Issue History
Date Modified Username Field Change
2013-04-16 10:00 cindy New Issue
2013-04-16 10:00 cindy File Added: View test results.jpeg
2013-04-17 06:09 sdaityari Note Added: 0006331
2013-04-17 09:18 cindy Note Added: 0006332
2013-04-22 14:44 sdaityari Note Added: 0006337
2013-04-30 11:10 greg Relationship added related to 0005265
2013-05-01 12:02 cindy SVN Revision# => d8918d47a2374c019574625bae884cfd7066ffd2
2013-05-01 12:02 cindy Note Added: 0006381
2013-05-01 12:02 cindy Status new => resolved
2013-05-01 12:02 cindy Fixed in Version => 2.1.1
2013-05-01 12:02 cindy Resolution open => fixed
2013-05-01 12:02 cindy Assigned To => cindy
2013-12-28 12:52 greg Note Added: 0006654
2013-12-28 12:52 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker